% Plot the value after N iterations of a 1-D map, for different values of
% mu
% 
% Example: superstable(0,0.001,1,1000)

function superstable(mu_start, mu_interval, mu_stop, N)

figure;
hold on;
x0=0.5;       % initial condition
for mu = mu_start:mu_interval:mu_stop
  x = x0*ones(N+1,1);
  for i = 1:N
      x(i+1) = 4*mu*x(i)*(1-x(i));
  end
  plot(mu,x(end),'.',color='black')
end


